%define pkgname	lfcbase
%define	libname	lib%{pkgname}
%define	soname	%{libname}1
Name:		%{soname}
Version:	1.5.10
Release:	1.1
Group:		Development
Summary:	Lemke Foundation Classes
License:	GPLv2
Url:		http://www.lemke-it.com
Source0:	http://www.lemke-it.com/%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:	liblfc0
Provides:	liblfc1
Obsoletes:	liblfc
Obsoletes:	liblfc0
Obsoletes:	liblfc1
BuildRequires:	gcc-c++
BuildRequires:	ncurses-devel


%description
This C++ library provides an API for XML document handling. Similar to the JDOM Java interface,
a XML document can be parsed, traced and generated by the provided methods. Furthermore,
this library is a good example for the usage of the dragon parser generator. 

%package -n %{libname}-devel
Group:	Development
Summary:Includefiles for lemke foundation classes
Requires:	%{soname}
Provides:	liblfc-devel
Obsoletes:	liblfc-devel

%description -n %{libname}-devel
This C++ library provides an API for XML document handling. Similar to the JDOM Java interface,
a XML document can be parsed, traced and generated by the provided methods. Furthermore,
this library is a good example for the usage of the dragon parser generator.


%prep
%setup -n %{pkgname}-%{version}

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liblfcbase.so.1*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/lfcbase
%{_libdir}/liblfcbase.a
%{_libdir}/liblfcbase.la
%{_libdir}/liblfcbase.so
%{_includedir}/lfcbase/AESCrypt.h
%{_includedir}/lfcbase/AVLTreeT.h
%{_includedir}/lfcbase/Base64Coder.h
%{_includedir}/lfcbase/BigDecimal.h
%{_includedir}/lfcbase/BigInteger.h
%{_includedir}/lfcbase/Bitmap.h
%{_includedir}/lfcbase/Chain.h
%{_includedir}/lfcbase/CommandExecuter.h
%{_includedir}/lfcbase/Crypt.h
%{_includedir}/lfcbase/Datetime.h
%{_includedir}/lfcbase/Directory.h
%{_includedir}/lfcbase/Exception.h
%{_includedir}/lfcbase/File.h
%{_includedir}/lfcbase/GetLongOpt.h
%{_includedir}/lfcbase/GetOpt.h
%{_includedir}/lfcbase/Host.h
%{_includedir}/lfcbase/ListT.h
%{_includedir}/lfcbase/Logger.h
%{_includedir}/lfcbase/Matcher.h
%{_includedir}/lfcbase/NanoTimer.h
%{_includedir}/lfcbase/Net.h
%{_includedir}/lfcbase/NetHandler.h
%{_includedir}/lfcbase/Process.h
%{_includedir}/lfcbase/Semaphore.h
%{_includedir}/lfcbase/SetT.h
%{_includedir}/lfcbase/SharedMemory.h
%{_includedir}/lfcbase/SigHandler.h
%{_includedir}/lfcbase/Sleeper.h
%{_includedir}/lfcbase/StackT.h
%{_includedir}/lfcbase/Thread.h
%{_includedir}/lfcbase/ThreadLock.h
%{_includedir}/lfcbase/Timer.h
%{_includedir}/lfcbase/Tokenizer.h
%{_includedir}/lfcbase/TreeT.h


%changelog
* Fri Oct 17 2014 cs@linux-administrator.com
- Update to version 1.5.10
* Tue Feb 25 2014 cs@linux-administrator.com
- Update to version 1.5.9
* Mon Jul 29 2013 cs@linux-administrator.com
- Update to version 1.5.6
* Mon May 20 2013 cs@linux-administrator.com
- Update to version 1.5.4
* Thu May 16 2013 cs@linux-administrator.com
- Update to version 1.5.3
* Wed May 15 2013 cs@linux-administrator.com
- Update to version 1.5.2
* Fri Feb  8 2013 cs@linux-administrator.com
- Update to version 1.4.1
* Mon Jan  7 2013 cs@linux-administrator.com
- Update to version 1.3.7
* Sat Dec 29 2012 cs@linux-administrator.com
- Update to version 1.3.5
* Sat Jul 21 2012 cs@linux-administrator.com
- Update to version 1.3.3
* Sat Jul 14 2012 cs@linux-administrator.com
- Update to version 1.3.2
* Mon Jul  2 2012 cs@linux-administrator.com
- Update to version 1.3.1
* Fri May 18 2012 cs@linux-administrator.com
- Update to version 1.3.0
* Sat Mar 31 2012 cs@linux-administrator.com
- Update to version 1.2.0
* Sun Aug  7 2011 cs@linux-administrator.com
- Update to version 1.1.41
* Wed Jul 20 2011 cs@linux-administrator.com
- Update to version 1.1.40
* Sat Jun 25 2011 cs@linux-administrator.com
- Update to version 1.1.38
